package com.bjlt.spider.interfaces;

import com.bjlt.spider.entity.EmailEntity;
import com.bjlt.spider.util.RespEntity;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.sql.SQLException;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 16:09 2017/10/24
 */
@FeignClient(value = "email-service", fallback = ControRpcHystrix.class)
public interface EmailRpc {
    /**
     * 定时分配任务
     * @param
     * @return
     * @throws SQLException
     */
    @RequestMapping(value = "/emailHandle/sendSingle", method = RequestMethod.POST)
    RespEntity distributeOrder(@RequestBody EmailEntity emailEntity) throws Exception;

    @RequestMapping(value = "/emailHandle/sendBatch", method = RequestMethod.POST)
    RespEntity sendBatch(@RequestBody EmailEntity emailEntity) throws Exception;
}
